Skip to main content

Update a subscriber

PUT 

/subscriber/:email

Update a subscriber by email

Request​

Path Parameters

    email stringrequired

    Subscriber email address

Header Parameters

    x-api-key stringrequired

    Your API key

    x-developer-mode boolean

    Enable developer mode. Learn more here.

Body

    name string

    Subscriber name

    phone phone

    Subscriber phone number. It follows the E.164 format.

    status string

    Possible values: [free_subscriber, paid_subscriber, unsubscribed_subscriber]

    Subscriber status

    customFields object[]

    List of custom fields. Each custom field has an ID and a value.

  • Array [
  • id string

    Custom field ID. You can get the ID by calling our support team.

    value string

    Custom field value

  • ]

Responses​

Subscriber updated.

Schema
    data object
    id string
    email emailrequired

    Subscriber email address

    phone phone

    Subscriber phone number. It follows the E.164 format.

    name string

    Subscriber name

    status string

    Possible values: [free_subscriber, paid_subscriber, unsubscribed_subscriber]

    Subscriber status

    customFields object[]

    List of custom fields. Each custom field has a label, and value.

  • Array [
  • id string

    Custom field ID

    label string

    Custom field label

    value string

    Custom field value

  • ]
  • segmentationLists string[]

    List of segmentation lists IDs. You can get the ID by calling our support team.

    blacklistedAt date-time

    Subscriber blacklisted date

    unsubscribedAt date-time

    Subscriber unsubscribed date

    createdAt date-time

    Subscriber creation date

    updatedAt date-time

    Subscriber update date

    requestId string
Loading...